> ## Documentation Index
> Fetch the complete documentation index at: https://docs.delaphonegh.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SMS Status

> Retrieve the status of a specific SMS message by its message ID.



## OpenAPI

````yaml GET /sms/{message_id}
openapi: 3.0.1
info:
  title: Delaphone CPaaS API
  description: APIs for sending SMS, purchasing data bundles, and buying airtime.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.delaphonegh.com
security:
  - bearerAuth: []
paths:
  /sms/{message_id}:
    get:
      description: Retrieve the status of a specific SMS message by its message ID.
      parameters:
        - name: message_id
          in: path
          description: Unique identifier for the SMS message.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: SMS status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SMSStatus'
        '400':
          description: Invalid message ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GETSMSError401'
        '403':
          description: Insufficient Permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '404':
          description: SMS not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GETSMSError404'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error500'
components:
  schemas:
    SMSStatus:
      type: object
      properties:
        success:
          description: Indicates whether the SMS request was successful
          type: boolean
        status:
          description: Status of the SMS message
          type: integer
          example: 200
        message:
          description: Text message that was sent
          type: string
          example: Status retrieved successfully
        data:
          type: array
          description: Array of details for each recipient
          items:
            type: object
            properties:
              recipient:
                description: The recipient's phone number
                type: string
              message_id:
                description: Unique identifier for the message
                type: string
              status:
                description: Status of the SMS message
                type: string
              date_created:
                description: Date and time the message was sent
                type: string
              sender_id:
                description: Sender ID of the message
                type: string
            required:
              - recipient
              - message_id
              - status
    Error:
      required:
        - error
        - message
      type: object
      properties:
        success:
          type: boolean
          default: false
        error:
          type: object
          properties:
            status:
              type: integer
              format: int32
            title:
              type: string
              example: Invalid Request Value
            detail:
              type: string
    GETSMSError401:
      required:
        - error
        - message
      type: object
      properties:
        success:
          type: boolean
          default: false
        error:
          type: object
          properties:
            status:
              type: integer
              format: int32
              example: 401
            title:
              type: string
              example: Authentication failed
              description: 'Title of the error (default: Authentication failed)'
            detail:
              type: string
    Error403:
      required:
        - error
        - message
      type: object
      properties:
        success:
          type: boolean
          default: false
        error:
          type: object
          properties:
            status:
              type: integer
              format: int32
              example: 403
            title:
              type: string
              example: Insufficient permissions
              description: 'Title of the error (default: Authentication failed)'
            detail:
              type: string
    GETSMSError404:
      required:
        - error
        - message
      type: object
      properties:
        success:
          type: boolean
          default: false
          example: false
        error:
          type: object
          properties:
            status:
              type: integer
              format: int32
              example: 404
            title:
              type: string
              example: Unknown message id
              description: Unknown message id
            detail:
              type: string
              example: 'No message found with id: {message_id}'
    Error500:
      required:
        - error
        - message
      type: object
      properties:
        success:
          type: boolean
          default: false
        error:
          type: object
          properties:
            status:
              type: integer
              format: int32
              example: 500
            title:
              type: string
              example: Internal server error
              description: 'Title of the error (default: Authentication failed)'
            detail:
              type: string
              example: >-
                We could not fulfil your request. Kindly try again in a few
                moments
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````